package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.DeviceBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class DeviceDetailAdapter extends BaseQuickAdapter<DeviceBean.RecordsBean, BaseViewHolder> {

    public DeviceDetailAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, DeviceBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getEquipmentName());
        helper.setText(R.id.tv_price,item.getUnitPrice());
        helper.setText(R.id.tv_num, item.getQuantity() );
    }
}

